initialDir = CreateObject("WScript.Shell").SpecialFolders("MyDocuments") & "\The Lord of the Rings Online"
Set SFSO = CreateObject("Scripting.FileSystemObject")

On Error Resume Next
Set UACD = CreateObject("UserAccounts.CommonDialog")
if Err.Number <> 0 Then
	Err.Clear
	On Error Goto 0

	Set folder = SFSO.GetFolder(initialDir)
	Set files = folder.Files

	best = ""

	Set reExt = new regexp
	reExt.Pattern = "txt$"

	For Each f in files
		if reExt.Test(f.Name) Then
			if StrComp(best, "") = 0 Or DateDiff("s", bestDate, f.DateCreated) > 0 then
				best = f.Name
				bestDate = f.DateCreated
			End if
		End if
	Next

	filename = InputBox("Enter log file", "Open File", initialDir & "\" & best)
	if StrComp(filename, "") = 0 then
		Wscript.Quit()
	End if
else
	On Error Goto 0
	UACD.Filter = "Text Files|*.txt"
	UACD.InitialDir = initialDir
	ret = UACD.ShowOpen()

	If ret = False then
		Wscript.Quit()
	End If

	filename = UACD.FileName
End if


currentDirectory = Left(Wscript.ScriptFullName, (Len(Wscript.ScriptFullName)) - (Len(Wscript.ScriptName)))
Set reMatch = new regexp
Set reNumber = new regexp

reMatch.Pattern = "^You wound"
reNumber.Pattern = "[0-9]+"

damage = 0
linesRead = 0

While SFSO.FileExists(fileName)
	curLine = 0

	Set InFile = SFSO.OpenTextFile(filename, 1)
	Do Until InFile.AtEndOfStream
		if curLine >= linesRead then
			line = InFile.ReadLine
			If reMatch.Test(line) then
				Set ns = reNumber.Execute(line)
				For Each n In ns
					damage = damage + n
				Next
			End If
		Else
			InFile.SkipLine
		End If
		curLine = curLine + 1
	Loop
	linesRead = curLine
	InFile.Close

	Set OutFile = SFSO.OpenTextFile(currentDirectory & "DPSMeter.plugindata", 2, True)
	OutFile.WriteLine "return " & damage
	OutFile.Close

	Wscript.Sleep 100
Wend